"use strict";
/**
 * Copyright (c) 2018-2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParam = void 0;
const console_logger_1 = require("../../mol-util/console-logger");
function getParam(params, ...path) {
    try {
        let current = params;
        for (const p of path) {
            if (typeof current === 'undefined')
                return;
            current = current[p];
        }
        return current;
    }
    catch (e) {
        console_logger_1.ConsoleLogger.error('Config', `Unable to retrieve property ${path.join('.')} from ${JSON.stringify(params)}`);
    }
}
exports.getParam = getParam;
